# pandas.Index.unique

Index.unique(level=None)

  Return unique values in the index.

  Unique values are returned in order of appearance, this does NOT sort.

  Parameters
    level int or hashable, optional

      Only return values from specified level (for MultiIndex). If int, gets the level by integer position, else by level name.

  Returns
    Index

  See also

  `unique`

    Numpy array of unique values in that column.

  `Series.unique`

    Return unique values of Series object.